com.impinj.stp

## Class StpApi.CartonContentsJob.Builder

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite.Builder<BuilderType>
  - - com.google.protobuf.AbstractMessage.Builder<BuilderType>
    - - com.google.protobuf.GeneratedMessage.Builder<StpApi.CartonContentsJob.Builder>
      - - com.impinj.stp.StpApi.CartonContentsJob.Builder

- All Implemented Interfaces:
    com.google.protobuf.Message.Builder, com.google.protobuf.MessageLite.Builder, com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder, StpApi.CartonContentsJobOrBuilder, java.lang.Cloneable
  Enclosing class:
    StpApi.CartonContentsJob

      public static final class StpApi.CartonContentsJob.Builder
      extends com.google.protobuf.GeneratedMessage.Builder<StpApi.CartonContentsJob.Builder>
      implements StpApi.CartonContentsJobOrBuilder

  Protobuf type `Impinj.STP.CartonContentsJob` A Carton contents job is what you use to provide you with an estimate of what tags are in a given carton

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `StpApi.CartonContentsJob` | `build()`
    `StpApi.CartonContentsJob` | `buildPartial()`
    `StpApi.CartonContentsJob.Builder` | `clear()`
    `StpApi.CartonContentsJob.Builder` | `clearCartonSpacing()` DEPRECATED
    `StpApi.CartonContentsJob.Builder` | `clearCartonVelocity()` Speed of the cartons measured in millimeters / second
    `StpApi.CartonContentsJob.Builder` | `clearEnterTriggerOffset()` Distance in millimeters from the enter trigger to the center of the tunnel
    `StpApi.CartonContentsJob.Builder` | `clearExitTriggerOffset()` Distance in millimeters from the exit trigger to the center of the tunnel
    `StpApi.CartonContentsJob.Builder` | `clearJobId()`
    `StpApi.CartonContentsJob.Builder` | `clearReadTid()` Setting to false disables reading the TID.
    `StpApi.CartonContentsJob.Builder` | `clearStartTriggerOffset()` DEPRECATED
    `StpApi.CartonContentsJob.Builder` | `clearStopTriggerOffset()` DEPRECATED
    `StpApi.CartonContentsJob.Builder` | `clone()`
    `int` | `getCartonSpacing()` DEPRECATED
    `int` | `getCartonVelocity()` Speed of the cartons measured in millimeters / second
    `StpApi.CartonContentsJob` | `getDefaultInstanceForType()`
    `static com.google.protobuf.Descriptors.Descriptor` | `getDescriptor()`
    `com.google.protobuf.Descriptors.Descriptor` | `getDescriptorForType()`
    `int` | `getEnterTriggerOffset()` Distance in millimeters from the enter trigger to the center of the tunnel
    `int` | `getExitTriggerOffset()` Distance in millimeters from the exit trigger to the center of the tunnel
    `int` | `getJobId()`
    `boolean` | `getReadTid()` Setting to false disables reading the TID.
    `int` | `getStartTriggerOffset()` DEPRECATED
    `int` | `getStopTriggerOffset()` DEPRECATED
    `boolean` | `hasCartonSpacing()` DEPRECATED
    `boolean` | `hasCartonVelocity()` Speed of the cartons measured in millimeters / second
    `boolean` | `hasEnterTriggerOffset()` Distance in millimeters from the enter trigger to the center of the tunnel
    `boolean` | `hasExitTriggerOffset()` Distance in millimeters from the exit trigger to the center of the tunnel
    `boolean` | `hasJobId()`
    `boolean` | `hasReadTid()` Setting to false disables reading the TID.
    `boolean` | `hasStartTriggerOffset()` DEPRECATED
    `boolean` | `hasStopTriggerOffset()` DEPRECATED
    `protected com.google.protobuf.GeneratedMessage.FieldAccessorTable` | `internalGetFieldAccessorTable()`
    `boolean` | `isInitialized()`
    `StpApi.CartonContentsJob.Builder` | `mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
    `StpApi.CartonContentsJob.Builder` | `mergeFrom(com.google.protobuf.Message other)`
    `StpApi.CartonContentsJob.Builder` | `mergeFrom(StpApi.CartonContentsJob other)`
    `StpApi.CartonContentsJob.Builder` | `setCartonSpacing(int value)` DEPRECATED
    `StpApi.CartonContentsJob.Builder` | `setCartonVelocity(int value)` Speed of the cartons measured in millimeters / second
    `StpApi.CartonContentsJob.Builder` | `setEnterTriggerOffset(int value)` Distance in millimeters from the enter trigger to the center of the tunnel
    `StpApi.CartonContentsJob.Builder` | `setExitTriggerOffset(int value)` Distance in millimeters from the exit trigger to the center of the tunnel
    `StpApi.CartonContentsJob.Builder` | `setJobId(int value)`
    `StpApi.CartonContentsJob.Builder` | `setReadTid(boolean value)` Setting to false disables reading the TID.
    `StpApi.CartonContentsJob.Builder` | `setStartTriggerOffset(int value)` DEPRECATED
    `StpApi.CartonContentsJob.Builder` | `setStopTriggerOffset(int value)` DEPRECATED

    - ### Methods inherited from class com.google.protobuf.GeneratedMessage.Builder

      `addRepeatedField, clearField, getAllFields, getField, getFieldBuilder, getParentForChildren, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, isClean, markClean, mergeUnknownFields, newBuilderForField, onBuilt, onChanged, parseUnknownField, setField, setRepeatedField, setUnknownFields`

    - ### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

      `findInitializationErrors, getInitializationErrorString, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException`

    - ### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

      `addAll, newUninitializedMessageException`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getField, getInitializationErrorString, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField`

- - ### Method Detail

    - #### getDescriptor

          public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

    - #### internalGetFieldAccessorTable

          protected com.google.protobuf.GeneratedMessage.FieldAccessorTable internalGetFieldAccessorTable()

      Specified by:
        `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessage.Builder<StpApi.CartonContentsJob.Builder>`

    - #### clear

          public StpApi.CartonContentsJob.Builder clear()

      Specified by:
        `clear` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `clear` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `clear` in class `com.google.protobuf.GeneratedMessage.Builder<StpApi.CartonContentsJob.Builder>`

    - #### clone

          public StpApi.CartonContentsJob.Builder clone()

      Specified by:
        `clone` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `clone` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `clone` in class `com.google.protobuf.GeneratedMessage.Builder<StpApi.CartonContentsJob.Builder>`

    - #### getDescriptorForType

          public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

      Specified by:
        `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
      Overrides:
        `getDescriptorForType` in class `com.google.protobuf.GeneratedMessage.Builder<StpApi.CartonContentsJob.Builder>`

    - #### getDefaultInstanceForType

          public StpApi.CartonContentsJob getDefaultInstanceForType()

      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

    - #### build

          public StpApi.CartonContentsJob build()

      Specified by:
        `build` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `build` in interface `com.google.protobuf.MessageLite.Builder`

    - #### buildPartial

          public StpApi.CartonContentsJob buildPartial()

      Specified by:
        `buildPartial` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

    - #### mergeFrom

          public StpApi.CartonContentsJob.Builder mergeFrom(com.google.protobuf.Message other)

      Specified by:
        `mergeFrom` in interface `com.google.protobuf.Message.Builder`
      Overrides:
        `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<StpApi.CartonContentsJob.Builder>`

    - #### mergeFrom

          public StpApi.CartonContentsJob.Builder mergeFrom(StpApi.CartonContentsJob other)

    - #### isInitialized

          public final boolean isInitialized()

      Specified by:
        `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Overrides:
        `isInitialized` in class `com.google.protobuf.GeneratedMessage.Builder<StpApi.CartonContentsJob.Builder>`

    - #### mergeFrom

          public StpApi.CartonContentsJob.Builder mergeFrom(com.google.protobuf.CodedInputStream input,
                                                            com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                     throws java.io.IOException

      Specified by:
        `mergeFrom` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<StpApi.CartonContentsJob.Builder>`
      Throws:
        `java.io.IOException`

    - #### hasJobId

          public boolean hasJobId()

      Specified by:
        `hasJobId` in interface `StpApi.CartonContentsJobOrBuilder`

    - #### getJobId

          public int getJobId()

      Specified by:
        `getJobId` in interface `StpApi.CartonContentsJobOrBuilder`

    - #### setJobId

          public StpApi.CartonContentsJob.Builder setJobId(int value)

    - #### clearJobId

          public StpApi.CartonContentsJob.Builder clearJobId()

    - #### hasEnterTriggerOffset

          public boolean hasEnterTriggerOffset()

      Distance in millimeters from the enter trigger to the center of the tunnel
      Specified by:
        `hasEnterTriggerOffset` in interface `StpApi.CartonContentsJobOrBuilder`

    - #### getEnterTriggerOffset

          public int getEnterTriggerOffset()

      Distance in millimeters from the enter trigger to the center of the tunnel
      Specified by:
        `getEnterTriggerOffset` in interface `StpApi.CartonContentsJobOrBuilder`

    - #### setEnterTriggerOffset

          public StpApi.CartonContentsJob.Builder setEnterTriggerOffset(int value)

      Distance in millimeters from the enter trigger to the center of the tunnel

    - #### clearEnterTriggerOffset

          public StpApi.CartonContentsJob.Builder clearEnterTriggerOffset()

      Distance in millimeters from the enter trigger to the center of the tunnel

    - #### hasExitTriggerOffset

          public boolean hasExitTriggerOffset()

      Distance in millimeters from the exit trigger to the center of the tunnel
      Specified by:
        `hasExitTriggerOffset` in interface `StpApi.CartonContentsJobOrBuilder`

    - #### getExitTriggerOffset

          public int getExitTriggerOffset()

      Distance in millimeters from the exit trigger to the center of the tunnel
      Specified by:
        `getExitTriggerOffset` in interface `StpApi.CartonContentsJobOrBuilder`

    - #### setExitTriggerOffset

          public StpApi.CartonContentsJob.Builder setExitTriggerOffset(int value)

      Distance in millimeters from the exit trigger to the center of the tunnel

    - #### clearExitTriggerOffset

          public StpApi.CartonContentsJob.Builder clearExitTriggerOffset()

      Distance in millimeters from the exit trigger to the center of the tunnel

    - #### hasCartonVelocity

          public boolean hasCartonVelocity()

      Speed of the cartons measured in millimeters / second
      Specified by:
        `hasCartonVelocity` in interface `StpApi.CartonContentsJobOrBuilder`

    - #### getCartonVelocity

          public int getCartonVelocity()

      Speed of the cartons measured in millimeters / second
      Specified by:
        `getCartonVelocity` in interface `StpApi.CartonContentsJobOrBuilder`

    - #### setCartonVelocity

          public StpApi.CartonContentsJob.Builder setCartonVelocity(int value)

      Speed of the cartons measured in millimeters / second

    - #### clearCartonVelocity

          public StpApi.CartonContentsJob.Builder clearCartonVelocity()

      Speed of the cartons measured in millimeters / second

    - #### hasReadTid

          public boolean hasReadTid()

      Setting to false disables reading the TID. This can improve overall carton accuracy.
      Specified by:
        `hasReadTid` in interface `StpApi.CartonContentsJobOrBuilder`

    - #### getReadTid

          public boolean getReadTid()

      Setting to false disables reading the TID. This can improve overall carton accuracy.
      Specified by:
        `getReadTid` in interface `StpApi.CartonContentsJobOrBuilder`

    - #### setReadTid

          public StpApi.CartonContentsJob.Builder setReadTid(boolean value)

      Setting to false disables reading the TID. This can improve overall carton accuracy.

    - #### clearReadTid

          public StpApi.CartonContentsJob.Builder clearReadTid()

      Setting to false disables reading the TID. This can improve overall carton accuracy.

    - #### hasCartonSpacing

          public boolean hasCartonSpacing()

      DEPRECATED
      Specified by:
        `hasCartonSpacing` in interface `StpApi.CartonContentsJobOrBuilder`

    - #### getCartonSpacing

          public int getCartonSpacing()

      DEPRECATED
      Specified by:
        `getCartonSpacing` in interface `StpApi.CartonContentsJobOrBuilder`

    - #### setCartonSpacing

          public StpApi.CartonContentsJob.Builder setCartonSpacing(int value)

      DEPRECATED

    - #### clearCartonSpacing

          public StpApi.CartonContentsJob.Builder clearCartonSpacing()

      DEPRECATED

    - #### hasStartTriggerOffset

          public boolean hasStartTriggerOffset()

      DEPRECATED
      Specified by:
        `hasStartTriggerOffset` in interface `StpApi.CartonContentsJobOrBuilder`

    - #### getStartTriggerOffset

          public int getStartTriggerOffset()

      DEPRECATED
      Specified by:
        `getStartTriggerOffset` in interface `StpApi.CartonContentsJobOrBuilder`

    - #### setStartTriggerOffset

          public StpApi.CartonContentsJob.Builder setStartTriggerOffset(int value)

      DEPRECATED

    - #### clearStartTriggerOffset

          public StpApi.CartonContentsJob.Builder clearStartTriggerOffset()

      DEPRECATED

    - #### hasStopTriggerOffset

          public boolean hasStopTriggerOffset()

      DEPRECATED
      Specified by:
        `hasStopTriggerOffset` in interface `StpApi.CartonContentsJobOrBuilder`

    - #### getStopTriggerOffset

          public int getStopTriggerOffset()

      DEPRECATED
      Specified by:
        `getStopTriggerOffset` in interface `StpApi.CartonContentsJobOrBuilder`

    - #### setStopTriggerOffset

          public StpApi.CartonContentsJob.Builder setStopTriggerOffset(int value)

      DEPRECATED

    - #### clearStopTriggerOffset

          public StpApi.CartonContentsJob.Builder clearStopTriggerOffset()

      DEPRECATED